/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLOListElement_H___INT_
#define __GdomHTMLOListElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLOListElement.h"
G_BEGIN_DECLS
class GDOMHTMLOListElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTMLO_LIST_ELEMENT; }
    GDOMHTMLOListElement(PassRefPtr<WebCore::HTMLOListElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLOListElement_H___INT_*/
